Subject: Re: [PATCH] Update my email address in various drivers

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 30 Mar 2020 20:33:46 +0100

On Mon, Mar 30, 2020 at 08:04:44PM +0200, Sam Ravnborg wrote:
> Hi Russell.
> 
> On Sun, Mar 29, 2020 at 11:19:10AM +0100, Russell King wrote:
> > Globally update my email address in six files scattered through the
> > tree.
> > 
> > Signed-off-by: Russell King <[email-masked]>
> > ---
> >  drivers/gpu/drm/armada/armada_drv.c                 | 2 +-
> >  drivers/gpu/drm/bridge/synopsys/dw-hdmi-ahb-audio.c | 2 +-
> >  drivers/gpu/drm/etnaviv/etnaviv_drv.c               | 2 +-
> >  drivers/media/cec/cec-notifier.c                    | 2 +-
> >  drivers/net/phy/swphy.c                             | 2 +-
> >  include/media/cec-notifier.h                        | 2 +-
> >  6 files changed, 6 insertions(+), 6 deletions(-)
> 
> This changes all cases of:
>    
>    [email-masked]
> 
> to
> 
>   [email-masked] or no mail address.

Correct.  This is the address I sign off all my commits with, and this
is the one I use to associate with authorship because it uses my
initials.

> But I am confused.
> 
> The new address does not appear anywhere in MAINTAINERS and is used
> only in three other files.

MAINTAINERS lists the addresses I prefer email for the day to day
maintanence, which is my linux@ accounts.  The above addresses
also fall into _this_ mailbox too, rather than my rmk@ mailbox.
So, ultimately all that email comes to the same place.

However, the plain rmk@ address doesn't.

> And there are a few other mail addresses that would reach you.
> But no matter how confused I am the patch looks fine so:
> 
> Acked-by: Sam Ravnborg <[email-masked]>
> 
> And if the change is for private reaons then I do not have to know
> anyway so feel free to ignore my confusion.

The reason for the change is so I can drop the routing information
[email-masked], thereby causing that address to start
bouncing, rather than being a spam inlet.  Sure, the new one will
be as well, but the point is that keeping both around indefinitely
gives a bigger attack surface for spam ingress.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up